dependencies: bumped rhodecode-tools to 1.4.0
dependencies: bumped rhodecode-tools to 1.4.0

File last commit:

r4114:55adecde default
r4114:55adecde default
Show More
requirements.txt
122 lines | 2.5 KiB | text/plain | TextLexer
nix: updated to 18.03 nix packages...
r2824 ## dependencies
requirements: re-organized requirements.txt file.
r1223
dependencies: bumped amqp==2.5.2 and kombu==4.6.6
r4065 amqp==2.5.2
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 babel==1.3
beaker==1.9.1
dependencies: updated bleach to 3.1.0
r3511 bleach==3.1.0
packages: updated celery to 4.3.0 and switch default backend to redis...
r3913 celery==4.3.0
channelstream: do not send comment notifications to the commenting user
r544 channelstream==0.5.2
dependencies: update rhodecode-tools to 1.2.0
r3484 click==7.0
dependencies [security]: updated colander to 1.7.0
r3512 colander==1.7.0
dependencies: use our own custom configobj for consistency across projects.
r2911 # our custom configobj
dependencies: changed custom packages urls to artifacts....
r3731 https://code.rhodecode.com/upstream/configobj/artifacts/download/0-012de99a-b1e1-4f64-a5c0-07a98a41b324.tar.gz?md5=6a513f51fe04b2c18cf84c1395a7c626#egg=configobj==5.0.6
dependencies: bumped cssselect to 1.0.3
r2766 cssselect==1.0.3
dependencies: bumped few libraries and freeze their versions...
r3555 cryptography==2.6.1
dependencies: bumped decorator to 4.1.2
r2282 decorator==4.1.2
dependencies: bumped deform==2.0.8
r4064 deform==2.0.8
dependencies: bumped docutils to 0.14.0
r2283 docutils==0.14.0
dependencies: bumped dogpile.cache==0.9.0
r4063 dogpile.cache==0.9.0
project: added all source files and assets
r1 dogpile.core==0.4.1
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 formencode==1.2.4
project: added all source files and assets
r1 future==0.14.3
futures==3.0.2
infrae.cache==1.0.1
dependencies: bumped iso8601 to 0.1.12
r3354 iso8601==0.1.12
project: added all source files and assets
r1 itsdangerous==0.24
dependencies: bumped amqp==2.5.2 and kombu==4.6.6
r4065 kombu==4.6.6
dependencies: bumped lxml to 4.2.5 release.
r3216 lxml==4.2.5
dependencies: bumped mako to 1.1.0...
r3952 mako==1.1.0
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 markdown==2.6.11
dependencies: bumped mako to 1.1.0...
r3952 markupsafe==1.1.1
dependencies: bumped msgpack-python to 0.5.6
r2842 msgpack-python==0.5.6
dependencies: bumped pyotp==2.3.0
r3957 pyotp==2.3.0
dependencies: bumped packaging==19.2
r3960 packaging==19.2
dependencies: bumped pathlib2 to 2.3.4
r3955 pathlib2==2.3.5
dependencies: bumped paste and pastescript....
r3954 paste==3.2.1
depencencies: updated pastedeploy==2.0.1
r3308 pastedeploy==2.0.1
dependencies: bumped paste and pastescript....
r3954 pastescript==3.2.0
dependencies: bumped peppercorn to 0.6 release.
r3263 peppercorn==0.6
dependencies: bumped psutil==5.6.5
r4066 psutil==5.6.5
project: added all source files and assets
r1 py-bcrypt==0.4
dependencies: bumped pycurl to 7.43.0.3
r3950 pycurl==7.43.0.3
dan
dependencies: bring back pycrypto as we cannot migrate our encrypted data and need to keep it for backward compat
r3521 pycrypto==2.6.1
dependencies: bumped pygments to 2.4.2
r3732 pygments==2.4.2
dependencies: bumped / freeze some libraries to make rhodecode-tools/vcsserver in sync...
r4113 pyparsing==2.4.5
dependencies: bumped pyramid-debugtoolbar==4.5.1
r4067 pyramid-debugtoolbar==4.5.1
dependencies: bumped mako to 1.1.0...
r3952 pyramid-mako==1.1.0
dependencies: bumped pyramid to 1.10.4
r3628 pyramid==1.10.4
mailing: switched from homebrew lib to pyramid_mailer with python3 compatability
r3113 pyramid_mailer==0.15.1
dependencies: freeze python-dateutil
r4068 python-dateutil==2.8.1
nix: updated to 18.03 nix packages...
r2824 python-ldap==3.1.0
dependencies: bumped python-memcached to 1.59
r2713 python-memcached==1.59
dependencies: bumped python-pam to 1.8.4 and fixed pam auth.
r2918 python-pam==1.8.4
depencencies: pinned python-saml library
r3312 python-saml==2.4.2
packages: updated celery to 4.3.0 and switch default backend to redis...
r3913 pytz==2019.2
timezone: fix issues with timezone detection of current logic....
r2676 tzlocal==1.5.1
project: added all source files and assets
r1 pyzmq==14.6.0
dependencies: bumped py-gfm to 0.1.4 release.
r3280 py-gfm==0.1.4
dependencies: freeze redis==3.3.11
r4069 redis==3.3.11
dependencies: bumped repoze.lru to 0.7.0
r2294 repoze.lru==0.7
dependencies: bumped rhodecode-tools to 1.4.0
r4114 requests==2.22.0
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 routes==2.4.1
dependencies: bumped simplejson to 3.16.0
r3427 simplejson==3.16.0
dependencies: bumped six to 1.11.0
r2298 six==1.11.0
dependencies: bumped sqlalchemy==1.3.11
r4071 sqlalchemy==1.3.11
dependencies [security]: updated sshpubkeys to 3.1.0...
r3518 sshpubkeys==3.1.0
dependencies: bumped subprocess32 to 3.5.4
r3735 subprocess32==3.5.4
dependencies: freeze supervisor==4.1.0
r4072 supervisor==4.1.0
project: added all source files and assets
r1 translationstring==1.3
dependencies: bumped rhodecode-tools to 1.4.0
r4114 urllib3==1.25.2
dependencies: bumped urlobject to 2.4.3
r2717 urlobject==2.4.3
dependencies: bumped venusian to 1.2.0
r3396 venusian==1.2.0
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 weberror==0.10.3
webhelpers2==2.0
dependencies: bumped webob to 1.8.5
r3580 webob==1.8.5
dependencies: made all dependencies lowercase, helps with diffing other projects, and keeps proper order.
r2718 whoosh==2.7.4
project: added all source files and assets
r1 wsgiref==0.1.2
dependencies: bumped zope components:...
r2662 zope.cachedescriptors==4.3.1
dependencies: updated zope.deprecation to 4.4.0
r3515 zope.deprecation==4.4.0
dependencies: updated zope.event to 4.4
r3516 zope.event==4.4.0
dependencies: updated zope.interface to 4.6.0
r3517 zope.interface==4.6.0
dependencies: bumped pytest libraries to latest versions.
r1221
requirements: move db drivers into one section for easier diffing
r3286 # DB drivers
mysql-python==1.2.5
pymysql==0.8.1
pysqlite==2.8.3
dependencies: bumped psycopg2==2.8.4
r4073 psycopg2==2.8.4
requirements: updated structure of requirement files, and re-generated nix files.
r1236
jupyter-rendering: add required packaging to handle rendering of jupyter notebooks....
r1488 # IPYTHON RENDERING
# entrypoints backport, pypi version doesn't support egg installs
dependencies: changed custom packages urls to artifacts....
r3731 https://code.rhodecode.com/upstream/entrypoints/artifacts/download/0-8e9ee9e4-c4db-409c-b07e-81568fd1832d.tar.gz?md5=3a027b8ff1d257b91fe257de6c43357d#egg=entrypoints==0.2.2.rhodecode-upstream1
dependencies: jupyter...
r2443 nbconvert==5.3.1
nbformat==4.4.0
dependencies: freeze jupyter-core
r4074 jupyter-client==5.0.0
jupyter-core==4.5.0
requirements: updated structure of requirement files, and re-generated nix files.
r1236
## cli tools
dependencies: freeze alembic==1.3.1
r4070 alembic==1.3.1
requirements: re-organized requirements.txt file.
r1223 invoke==0.13.0
bumpversion==0.5.3
requirements: updated structure of requirement files, and re-generated nix files.
r1236 ## http servers
dependencies: bumped gevent to 1.4.0
r3428 gevent==1.4.0
dependencies: bumped few libraries....
r3096 greenlet==0.4.15
dependencies: bumped gunicorn to 19.9.0
r2840 gunicorn==19.9.0
dependencies: bumped waitress to 1.3.1
r3923 waitress==1.3.1
requirements: re-organized requirements.txt file.
r1223
requirements: updated structure of requirement files, and re-generated nix files.
r1236 ## debug
dependencies: bumped ipdb to 0.12.0
r3581 ipdb==0.12.0
requirements: re-organized requirements.txt file.
r1223 ipython==5.1.0
dependencies: bumped rhodecode-tools to 1.4.0
r4114 ## rhodecode-tools, special case, use file://PATH.tar.gz#egg=rhodecode-tools==X.Y.Z, to test local version
https://code.rhodecode.com/rhodecode-tools-ce/artifacts/download/0-ed54e749-2ef5-4bc7-ae7f-7900e3c2aa15.tar.gz?sha256=76f024bad3a1e55fdb3d64f13f5b77ff21a12fee699918de2110fe21effd5a3a#egg=rhodecode-tools==1.4.0
dependencies: bumped rhodecode-tools to 1.3.0
r3961
requirements: re-organized requirements.txt file.
r1223
requirements: updated structure of requirement files, and re-generated nix files.
r1236 ## appenlight
dependencies: bumped appenlight-client to 0.6.26 release.
r3278 appenlight-client==0.6.26
requirements: updated structure of requirement files, and re-generated nix files.
r1236
## test related requirements
dependencies: organized test requirements....
r1222 -r requirements_test.txt
packaging: extracted some optional debug libraries into a separate file so we don't build always those...
r3141
## uncomment to add the debug libraries
#-r requirements_debug.txt